import { BlLifeRechargeAccountModelOptions } from './types';

export class BlLifeRechargeAccountModel {
  userId = '';
  phoneNumber = '';

  constructor(options: BlLifeRechargeAccountModelOptions = {}) {
    const { userId = '', phoneNumber = '' } = options;
    this.setUserId(userId);
    this.setPhoneNumber(phoneNumber);
  }

  setUserId(userId: string) {
    this.userId = userId;
  }

  setPhoneNumber(phoneNumber: string) {
    this.phoneNumber = phoneNumber;
  }
}
